﻿using System;

namespace EnvelopeCreatorProject.Models.Recipients.IdentityCheck
{
    public class PhoneAuthType : AuthType, IIdentityCheck
    {
        public new string Build(DocuSignAPI.APIService.Recipient recipient)
        {
            base.Build(recipient);
            _objRecipient.AppendLine("\"phoneAuthentication\":{");
            _objRecipient.AppendLine("\"senderProvidedNumbers\":[");
            _objRecipient.AppendLine(String.Join(",", recipient.PhoneAuthentication.SenderProvidedNumbers));
            _objRecipient.AppendLine("],");
            _objRecipient.AppendLine(String.Format("\"recipMayProvideNumber\":\"{0}\",", recipient.PhoneAuthentication.RecipMayProvideNumber.ToString()));
            _objRecipient.AppendLine(String.Format("\"validateRecipProvidedNumber\":\"{0}\",", recipient.PhoneAuthentication.ValidateRecipProvidedNumber.ToString()));
            _objRecipient.AppendLine(String.Format("\"recordVoicePrint\":\"{0}\"", recipient.PhoneAuthentication.RecordVoicePrint.ToString()));
            _objRecipient.Append("},");
            return _objRecipient.ToString();
        }
    }
}
